mscorlib 2.0.0.0 4.0.0.0 System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(true) System.Runtime.InteropServices.Guid("b36b5c63-42ef-38bc-a07e-0b34c98f164a") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsDual)

This interface is for access to managed classes from unmanaged code and should not be called from managed code.

This interface preserves the vtable order of the class members that can be accessed by unmanaged COM objects.

Exposes the public members of the class to unmanaged code.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method determines whether the specified is equal to the current .

  Provides COM objects with version-independent access to the method.

  true if the specified is equal to the current ; otherwise, false.

  The to compare with the current .
- Method
  2.0.0.0
  4.0.0.0
  System.Exception

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method returns the that is the root cause of one or more subsequent exceptions.

  Provides COM objects with version-independent access to the method.

  The first exception thrown in a chain of exceptions. If the property of the current exception is a null reference (Nothing in Visual Basic), this property returns the current exception.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method serves as a hash function for a particular type. is suitable for use in hashing algorithms and data structures such as a hash table.

  Provides COM objects with version-independent access to the method.

  The hash code for the current instance.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method sets the object with information about the exception.

  Provides COM objects with version-independent access to the method

  The object that holds the serialized object data about the exception being thrown. The structure that contains contextual information about the source or destination.
- Method
  2.0.0.0
  4.0.0.0
  System.Type

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method gets the runtime type of the current instance.

  Provides COM objects with version-independent access to the method.

  A object that represents the exact runtime type of the current instance.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets or sets a link to the help file associated with this exception.

  Provides COM objects with version-independent access to the property.

- Property
  2.0.0.0
  4.0.0.0
  System.Exception To be added.

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets the instance that caused the current exception.

  Provides COM objects with version-independent access to the property.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets a message that describes the current exception.

  Provides COM objects with version-independent access to the property.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets or sets the name of the application or the object that causes the error.

  Provides COM objects with version-independent access to the property.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets a string representation of the frames on the call stack at the time the current exception was thrown.

  Provides COM objects with version-independent access to the property.

- Property
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodBase To be added.

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The property gets the method that throws the current exception.

  Provides COM objects with version-independent access to the property.

- Method
  2.0.0.0
  4.0.0.0
  System.String

  This method is for access to managed classes from unmanaged code and should not be called from managed code.

  The method creates and returns a string representation of the current exception.

  Provides COM objects with version-independent access to the method.

  A string that represents the current object.